Timeslips 2015 Obsolesence

Sage has announced that Timeslips 2015 will become obsolete effective July 31, 2017. This is in keeping with past policies but is important to note, especially if you are running Timeslips ecenter.

The policy is stated as “If you are using an obsolete version of Sage Timeslips, you are required to upgrade to the current version to receive customer support and to ensure compliance with new operating environments.”

While we will always provide support to the best of our ability, regardless of version, there are some things we can’t do. If you are using Sage Timeslips eCenter or Sage Timeslips Electronic Bill Delivery these functions will not work after July 31, 2017 unless you are running Sage Timeslips 2016, 2017 or Premium.

If you have questions, or would like pricing on upgrading, please contact us.

 

Leave a Reply

Your email address will not be published. Required fields are marked *